{
  "model": {
    "type": "minecraft:select",
    "cases": [
      {
        "model": {
          "type": "minecraft:composite",
          "models": [
                
                
                
                
                
                
            {
              "type": "model",
              "model": "overlyrealistic:item/tool_pieces/spear/copper_tool_head"
            },
          
          
          
          
          
            {
              "type": "minecraft:select",
              "property": "minecraft:custom_model_data",
              "index": 0,
              "cases": [
                {
                  "when": "overlyrealistic:tool_property.handle.crude_tool_handle",
                  "model": {
                    "type": "minecraft:model",
                    "model": "overlyrealistic:item/tool_pieces/spear/crude_tool_handle"
                  }
                },
                {
                  "when": "overlyrealistic:tool_property.handle.wooden_tool_handle",
                  "model": {
                    "type": "minecraft:model",
                    "model": "overlyrealistic:item/tool_pieces/spear/wooden_tool_handle"
                  }
                },
                {
                  "when": "overlyrealistic:tool_property.handle.bone_tool_handle",
                  "model": {
                    "type": "minecraft:model",
                    "model": "overlyrealistic:item/tool_pieces/spear/bone_tool_handle"
                  }
                },
                {
                  "when": "overlyrealistic:tool_property.handle.iron_tool_handle",
                  "model": {
                    "type": "minecraft:model",
                    "model": "overlyrealistic:item/tool_pieces/spear/iron_tool_handle"
                  }
                }
              ],
              "fallback": {
                "type": "minecraft:model",
                "model": "overlyrealistic:item/tool_pieces/spear/default_tool_handle"
              }
            },
          
          
          
          
          
            {
              "type": "minecraft:select",
              "property": "minecraft:custom_model_data",
              "index": 2,
              "cases": [
                {
                  "when": "overlyrealistic:tool_property.adhesive.fish_glue",
                  "model": {
                    "type": "minecraft:model",
                    "model": "overlyrealistic:item/tool_pieces/spear/fish_glue_adhesive"
                  }
                },
                {
                  "when": "overlyrealistic:tool_property.adhesive.honey_bottle",
                  "model": {
                    "type": "minecraft:model",
                    "model": "overlyrealistic:item/tool_pieces/spear/honey_adhesive"
                  }
                },
                {
                  "when": "overlyrealistic:tool_property.adhesive.pine_pitch_glue",
                  "model": {
                    "type": "minecraft:model",
                    "model": "overlyrealistic:item/tool_pieces/spear/pine_pitch_glue_adhesive"
                  }
                },
                {
                  "when": "overlyrealistic:tool_property.adhesive.resin_clump",
                  "model": {
                    "type": "minecraft:model",
                    "model": "overlyrealistic:item/tool_pieces/spear/resin_clump_adhesive"
                  }
                },
                {
                  "when": "overlyrealistic:tool_property.adhesive.bone_glue",
                  "model": {
                    "type": "minecraft:model",
                    "model": "overlyrealistic:item/tool_pieces/spear/bone_glue_adhesive"
                  }
                }
              ],
              "fallback": {
                "type": "minecraft:model",
                "model": "overlyrealistic:item/tool_pieces/spear/default_adhesive"
              }
            },
          
          
          
          
          
          
            {
              "type": "minecraft:select",
              "property": "minecraft:custom_model_data",
              "index": 1,
              "cases": [
                {
                  "when": "overlyrealistic:tool_property.cordage.vine",
                  "model": {
                    "type": "minecraft:model",
                    "model": "overlyrealistic:item/tool_pieces/spear/vine_cordage"
                  }
                },
                {
                  "when": "overlyrealistic:tool_property.cordage.string",
                  "model": {
                    "type": "minecraft:model",
                    "model": "overlyrealistic:item/tool_pieces/spear/string_cordage"
                  }
                },
                {
                  "when": "overlyrealistic:tool_property.cordage.crude_string",
                  "model": {
                    "type": "minecraft:model",
                    "model": "overlyrealistic:item/tool_pieces/spear/crude_string_cordage"
                  }
                },
                {
                  "when": "overlyrealistic:tool_property.cordage.lead",
                  "model": {
                    "type": "minecraft:model",
                    "model": "overlyrealistic:item/tool_pieces/spear/lead_cordage"
                  }
                }
              ],
              "fallback": {
                "type": "minecraft:model",
                "model": "overlyrealistic:item/tool_pieces/spear/default_cordage"
              }
            }
          
          
          
          
          
          
          ]
        },
        "when": [
          "gui",
          "ground",
          "fixed",
          "on_shelf"
        ]
      }
    ],
    "fallback": {
      "type": "minecraft:condition",
      "property": "minecraft:using_item",
      "on_true": {
        "type": "minecraft:composite",
        "models": [






          {
            "type": "model",
            "model": "overlyrealistic:item/tool_pieces/spear_using/copper_tool_head"
          },
        
        
        
        
        
          {
            "type": "minecraft:select",
            "property": "minecraft:custom_model_data",
            "index": 0,
            "cases": [
              {
                "when": "overlyrealistic:tool_property.handle.crude_tool_handle",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_using/crude_tool_handle"
                }
              },
              {
                "when": "overlyrealistic:tool_property.handle.wooden_tool_handle",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_using/wooden_tool_handle"
                }
              },
              {
                "when": "overlyrealistic:tool_property.handle.bone_tool_handle",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_using/bone_tool_handle"
                }
              },
              {
                "when": "overlyrealistic:tool_property.handle.iron_tool_handle",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_using/iron_tool_handle"
                }
              }
            ],
            "fallback": {
              "type": "minecraft:model",
              "model": "overlyrealistic:item/tool_pieces/spear_using/default_tool_handle"
            }
          },
        
        
        
        
        
          {
            "type": "minecraft:select",
            "property": "minecraft:custom_model_data",
            "index": 2,
            "cases": [
              {
                "when": "overlyrealistic:tool_property.adhesive.fish_glue",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_using/fish_glue_adhesive"
                }
              },
              {
                "when": "overlyrealistic:tool_property.adhesive.honey_bottle",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_using/honey_adhesive"
                }
              },
              {
                "when": "overlyrealistic:tool_property.adhesive.pine_pitch_glue",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_using/pine_pitch_glue_adhesive"
                }
              },
              {
                "when": "overlyrealistic:tool_property.adhesive.resin_clump",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_using/resin_clump_adhesive"
                }
              },
              {
                "when": "overlyrealistic:tool_property.adhesive.bone_glue",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_using/bone_glue_adhesive"
                }
              }
            ],
            "fallback": {
              "type": "minecraft:model",
              "model": "overlyrealistic:item/tool_pieces/spear_using/default_adhesive"
            }
          },
        
        
        
        
        
        
          {
            "type": "minecraft:select",
            "property": "minecraft:custom_model_data",
            "index": 1,
            "cases": [
              {
                "when": "overlyrealistic:tool_property.cordage.vine",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_using/vine_cordage"
                }
              },
              {
                "when": "overlyrealistic:tool_property.cordage.string",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_using/string_cordage"
                }
              },
              {
                "when": "overlyrealistic:tool_property.cordage.crude_string",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_using/crude_string_cordage"
                }
              },
              {
                "when": "overlyrealistic:tool_property.cordage.lead",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_using/lead_cordage"
                }
              }
            ],
            "fallback": {
              "type": "minecraft:model",
              "model": "overlyrealistic:item/tool_pieces/spear_using/default_cordage"
            }
          }
        
        
        
        
        
        
        ]
      },
      "on_false": {
        "type": "minecraft:composite",
        "models": [






          {
            "type": "model",
            "model": "overlyrealistic:item/tool_pieces/spear_in_hand/copper_tool_head"
          },
        
        
        
        
        
          {
            "type": "minecraft:select",
            "property": "minecraft:custom_model_data",
            "index": 0,
            "cases": [
              {
                "when": "overlyrealistic:tool_property.handle.crude_tool_handle",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_in_hand/crude_tool_handle"
                }
              },
              {
                "when": "overlyrealistic:tool_property.handle.wooden_tool_handle",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_in_hand/wooden_tool_handle"
                }
              },
              {
                "when": "overlyrealistic:tool_property.handle.bone_tool_handle",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_in_hand/bone_tool_handle"
                }
              },
              {
                "when": "overlyrealistic:tool_property.handle.iron_tool_handle",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_in_hand/iron_tool_handle"
                }
              }
            ],
            "fallback": {
              "type": "minecraft:model",
              "model": "overlyrealistic:item/tool_pieces/spear_in_hand/default_tool_handle"
            }
          },
        
        
        
        
        
          {
            "type": "minecraft:select",
            "property": "minecraft:custom_model_data",
            "index": 2,
            "cases": [
              {
                "when": "overlyrealistic:tool_property.adhesive.fish_glue",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_in_hand/fish_glue_adhesive"
                }
              },
              {
                "when": "overlyrealistic:tool_property.adhesive.honey_bottle",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_in_hand/honey_adhesive"
                }
              },
              {
                "when": "overlyrealistic:tool_property.adhesive.pine_pitch_glue",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_in_hand/pine_pitch_glue_adhesive"
                }
              },
              {
                "when": "overlyrealistic:tool_property.adhesive.resin_clump",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_in_hand/resin_clump_adhesive"
                }
              },
              {
                "when": "overlyrealistic:tool_property.adhesive.bone_glue",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_in_hand/bone_glue_adhesive"
                }
              }
            ],
            "fallback": {
              "type": "minecraft:model",
              "model": "overlyrealistic:item/tool_pieces/spear_in_hand/default_adhesive"
            }
          },
        
        
        
        
        
        
          {
            "type": "minecraft:select",
            "property": "minecraft:custom_model_data",
            "index": 1,
            "cases": [
              {
                "when": "overlyrealistic:tool_property.cordage.vine",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_in_hand/vine_cordage"
                }
              },
              {
                "when": "overlyrealistic:tool_property.cordage.string",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_in_hand/string_cordage"
                }
              },
              {
                "when": "overlyrealistic:tool_property.cordage.crude_string",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_in_hand/crude_string_cordage"
                }
              },
              {
                "when": "overlyrealistic:tool_property.cordage.lead",
                "model": {
                  "type": "minecraft:model",
                  "model": "overlyrealistic:item/tool_pieces/spear_in_hand/lead_cordage"
                }
              }
            ],
            "fallback": {
              "type": "minecraft:model",
              "model": "overlyrealistic:item/tool_pieces/spear_in_hand/default_cordage"
            }
          }
        
        
        
        
        
        
        ]
      }
    },
    "property": "minecraft:display_context"
  },
  "swap_animation_scale": 1.95
}